Bug 133791 - Want a wrapper for cdda uri handler
Want a wrapper for cdda uri handler
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-09-27 10:24 EDT by Alexander Larsson
Modified: 2013-03-05 22:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 10:03:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2004-09-27 10:24:28 EDT
It would be nice if g-v-m shipped with a handler that took a cdda://
uri as argument, read the g-v-m audio setting and launched the command
specified there.

This would allow us to set the default cdda handler to be this
wrapper, and audio cd icons from gnome-vfs would work.
Comment 1 John (J5) Palmieri 2004-09-27 11:03:38 EDT
Sounds good to me.  I'll look into it.
Comment 2 Alexander Larsson 2004-10-06 05:40:06 EDT
This should be pretty easy (couple of hours at most), and without it
we currently generate audio cd icons on the desktop that don't work.
Comment 3 John (J5) Palmieri 2004-10-06 12:15:46 EDT
How does this look?  Should I put it in gvm or will it be packaged
with Nautilus/gnome-vfs?

#get the application to use from gnome-volume-manager
CMD=`/usr/bin/gconftool-2 -g

#sanitize the device by escaping forward slashes
DEVICE=`echo $1 | /bin/sed -e "s/%/%25/g"`
DEVICE=`echo $DEVICE | /bin/sed -e "s#/#%2f#g"`

#expand the command by replacing %d with the device and unescape it
EXPANDED_CMD=`echo $CMD | /bin/sed -e "s/%d/$DEVICE/"`
EXPANDED_CMD=`echo $EXPANDED_CMD | /bin/sed -e "s#%2f#/#g"`
EXPANDED_CMD=`echo $EXPANDED_CMD | /bin/sed -e "s/%25/%/g"`

#run the command
Comment 4 John (J5) Palmieri 2004-10-06 18:34:21 EDT
New gnome-volume-manager built into Rawhide now gives us woking audio
cd launchers.  Please test.
Comment 5 Matthew Miller 2006-07-10 19:06:01 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 10:03:14 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against FC3 and has remained in NEEDINFO state for quite some
time.  Many packages and bugfixes have been made since the last substantive bug

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.